=== etc/docker/Makefile ===
.PHONY: delta-ubuntu
delta-ubuntu:
	docker build -f ubuntu.Dockerfile -t delta-ubuntu .
