=== debian/changelog ===
git-delta (0.16.5-5) unstable; urgency=medium

  * drop patches 2002_ansi_colours 2002_vte,
    obsoleted by Debian package changes;
    tighten build-dependencies for crate vte

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Dec 2023 18:05:19 +0100

git-delta (0.16.5-4) unstable; urgency=medium

  * split patch 1001 into crate-specific 1001_* and 2002_* patches
  * update dh-cargo fork
  * update copyright info: update coverage
  * drop patch 2001_unicode-segmentation.patch,
    obsoleted by Debian package changes
  * update patches 1001_bat 1001_git2;
    update DEP-3 headers;
    bump build-dependencies for crates bat git2;
    relax build-dependency for crate vte;
    closes: bug#1057368, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Dec 2023 09:33:00 +0100

git-delta (0.16.5-3) unstable; urgency=medium

  * mention unrelated but similarly named package and binary executable
    in long description and README.Debian file;
    closes: bug#1043316, thanks to Carl Suster
  * install theme file below /etc/delta,
    symlinked from below /usr/share/delta;
    add patch 2001
    to list path of theme file within its own usage comment;
    mention theming in README.Debian
  * stop install upstream README in Markdown source format
    (only rendered as plaintext and html)
  * render and install upstream documentation file ARCHITECTURE

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Aug 2023 10:27:30 +0200

git-delta (0.16.5-2) unstable; urgency=medium

  * update dh-cargo fork
  * suggest bash-completion;
    resolve Built-Using and X-Cargo-Built-Using
  * update patch 1001;
    build-depend on package for crate dirs (not dirs-next)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Aug 2023 18:10:28 +0200

git-delta (0.16.5-1) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * initial release;
    closes: bug#944028

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Jul 2023 13:01:23 +0200
