=== debian/control ===
Source: git-delta
Section: vcs
Priority: optional
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 dh-sequence-bash-completion,
 git <!nocheck>,
 help2man <!nodoc>,
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev,
 librust-anyhow-1+default-dev,
 librust-atty-0.2+default-dev,
 librust-bat-0.24+regex-onig-dev,
 librust-bitflags-2+default-dev,
 librust-box-drawing-0.1+default-dev,
 librust-bytelines-2+default-dev,
 librust-chrono-0.4+default-dev,
 librust-chrono-humanize-0.2+default-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+error-context-dev,
 librust-clap-4+help-dev,
 librust-clap-4+usage-dev,
 librust-clap-4+wrap-help-dev,
 librust-console-0.15+default-dev,
 librust-ctrlc-3+default-dev,
 librust-dirs-5+default-dev,
 librust-git2-0.18-dev,
 librust-grep-cli-0.1+default-dev,
 librust-itertools-0.10+default-dev,
 librust-lazy-static-1+default-dev,
 librust-palette-0.7+default-dev,
 librust-pathdiff-0.2+default-dev,
 librust-regex-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-shell-words-1+default-dev,
 librust-smol-str-0.2+default-dev,
 librust-syntect-5+default-dev,
 librust-sysinfo-0.28-dev,
 librust-unicode-segmentation-1+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-vte-0.11+default-dev,
 librust-xdg-2+default-dev,
 libstring-shellquote-perl,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/git-delta.git
Vcs-Browser: https://salsa.debian.org/debian/git-delta
Homepage: https://dandavison.github.io/delta/
Rules-Requires-Root: no

Package: git-delta
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: syntax-highlighting pager for git, diff, and grep output
 Code evolves, and we all spend time studying diffs.
 Delta aims to make this both efficient and enjoyable:
 it allows you to make extensive changes
 to the layout and styling of diffs,
 as well as allowing you to stay arbitrarily close
 to the default git/diff output.
 .
 This package provides the executable binary /usr/bin/delta.
 .
 (Unrelated executable binary /usr/bin/git-delta
 is in the package git-extras,
 and unrelated executable binaries
 /usr/bin/multidelta and /usr/bin/singledelta
 are in the package delta.)
