## git-delta 0.17.0

=== debian/changelog ===
git-delta (0.17.0-5) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 00:32:09 +0200

git-delta (0.17.0-4) experimental; urgency=medium

  * add patch 1001_sysinfo to use newer branch of crate sysinfo;
    bump build-dependency for crate sysinfo
    (see bug#1075991)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 16:40:41 +0200

git-delta (0.17.0-3) unstable; urgency=medium

  * drop patch 2002_sysinfo,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate sysinfo
  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 09:52:16 +0200

git-delta (0.17.0-2) unstable; urgency=medium

  * update patches;
    relax build-dependency for crate itertools;
    closes: bug#1072259, thanks to Peter Green
  * set Static-Built-Using (not X-Cargo-Built-Using)
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: fix file path
  * update dh-cargo fork
  * update copyright info: update coverage
  * recommend git;
    closes: bug#1059826, thanks to Christoph Anton Mitterer

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 07:54:33 +0200

git-delta (0.17.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * add patch 2002_terminal-colorsaurus
    to avoid not-in-Debian crate terminal-colorsaurus
  * build-depend on packages for crates anstyle-parse clap-complete
    (not atty vte)
  * relax build-dependencies for crates bytelines sysinfo
  * tighten build-dependency for crate bat

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 11:12:49 +0200
