=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Build-Depends:
  cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
- dh-cargo,
  dh-sequence-bash-completion,
+ dh-sequence-rust,
  git <!nocheck>,
  help2man <!nodoc>,
  librust-ansi-colours-1+default-dev,
  librust-ansi-term-0.12+default-dev,
+ librust-anstyle-parse-0.2+default-dev,
  librust-anyhow-1+default-dev,
- librust-atty-0.2+default-dev,
+ librust-bat-0.24+minimal-application-dev,
+ librust-bat-0.24+paging-dev,
  librust-bat-0.24+regex-onig-dev,
  librust-bitflags-2+default-dev,
  librust-box-drawing-0.1+default-dev,
- librust-bytelines-2+default-dev,
+ librust-bytelines-2-dev,
  librust-chrono-0.4+default-dev,
  librust-chrono-humanize-0.2+default-dev,
  librust-clap-4+default-dev,
@@ -24,12 +26,13 @@
  librust-clap-4+help-dev,
  librust-clap-4+usage-dev,
  librust-clap-4+wrap-help-dev,
+ librust-clap-complete-4+default-dev,
  librust-console-0.15+default-dev,
  librust-ctrlc-3+default-dev,
  librust-dirs-5+default-dev,
  librust-git2-0.18-dev,
  librust-grep-cli-0.1+default-dev,
- librust-itertools-0.10+default-dev,
+ librust-itertools-dev (<< 0.13),
  librust-lazy-static-1+default-dev,
  librust-palette-0.7+default-dev,
  librust-pathdiff-0.2+default-dev,
@@ -40,14 +43,12 @@
  librust-shell-words-1+default-dev,
  librust-smol-str-0.2+default-dev,
  librust-syntect-5+default-dev,
- librust-sysinfo-0.28-dev,
+ librust-sysinfo-0.30+default-dev,
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.1+default-dev,
- librust-vte-0.11+default-dev,
  librust-xdg-2+default-dev,
- libstring-shellquote-perl,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/git-delta.git
 Vcs-Browser: https://salsa.debian.org/debian/git-delta
 Homepage: https://dandavison.github.io/delta/
@@ -58,12 +59,14 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ git,
 Suggests:
  bash-completion,
 Built-Using:
  ${cargo:Built-Using},
-XB-X-Cargo-Built-Using:
- ${cargo:X-Cargo-Built-Using},
+Static-Built-Using:
+ ${cargo:Static-Built-Using},
 Description: syntax-highlighting pager for git, diff, and grep output
  Code evolves, and we all spend time studying diffs.
  Delta aims to make this both efficient and enjoyable:
