=== manual/Makefile ===
build:
	mdbook build

init:
	mdbook init --ignore none --title delta

serve:
	mdbook serve
