=== debian/changelog ===
git-delta (0.18.2-4) unstable; urgency=medium

  * add patch 1001_bat and update patch 1001_git2
    to accept newer branch;
    bump build-dependencies for crates bat git2;
    closes: bug#1101624, thanks to Lucas Nussbaum and Jeremy Bícha
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter-out potential upstream debian dir
    + simplify usage config
  * update watch file:
    + mangle upstream version
    + improve filename mangling; use Github API

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 15:22:15 +0200

git-delta (0.18.2-3) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 12:52:13 +0100

git-delta (0.18.2-2) unstable; urgency=medium

  * update and unfuzz patches;
    bump build-dependency for crate git2;
    closes: bug#1081864,
    thanks to Santiago Vila and Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Oct 2024 23:51:07 +0200

git-delta (0.18.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    tighten build-dependency for crate itertools

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Oct 2024 17:39:09 +0200

git-delta (0.18.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Aug 2024 00:23:08 +0200

git-delta (0.18.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crates insta rstest;
    relax build-dependencies for crates clap sysinfo

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Aug 2024 09:32:55 +0200
