=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  librust-ansi-term-0.12+default-dev,
  librust-anstyle-parse-0.2+default-dev,
  librust-anyhow-1+default-dev,
- librust-bat-0.24+minimal-application-dev,
- librust-bat-0.24+paging-dev,
- librust-bat-0.24+regex-onig-dev,
+ librust-bat-0.25+minimal-application-dev,
+ librust-bat-0.25+paging-dev,
+ librust-bat-0.25+regex-onig-dev,
  librust-bitflags-2+default-dev,
  librust-box-drawing-0.1+default-dev,
  librust-bytelines-2-dev,
@@ -25,25 +25,28 @@
  librust-clap-4+error-context-dev,
  librust-clap-4+help-dev,
  librust-clap-4+usage-dev,
- librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-console-0.15+default-dev,
  librust-ctrlc-3+default-dev,
  librust-dirs-5+default-dev,
- librust-git2-0.18-dev,
+ librust-git2-0.20-dev,
  librust-grep-cli-0.1+default-dev,
- librust-itertools-dev (<< 0.13),
+ librust-insta-1+colors-dev,
+ librust-insta-1+default-dev,
+ librust-insta-1+filters-dev,
+ librust-itertools-0.13+default-dev,
  librust-lazy-static-1+default-dev,
  librust-palette-0.7+default-dev,
  librust-pathdiff-0.2+default-dev,
  librust-regex-1+default-dev,
+ librust-rstest-dev (<< 0.21),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
  librust-shell-words-1+default-dev,
  librust-smol-str-0.2+default-dev,
  librust-syntect-5+default-dev,
- librust-sysinfo-0.30+default-dev,
+ librust-sysinfo-0.30-dev,
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-xdg-2+default-dev,
