=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 
-# use local fork of debcargo and dh-cargo
-PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
-PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
-export PATH PERL5LIB
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic
+
+# trust upstream optimization level unless explicitly disabled
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEB_CFLAGS_MAINT_STRIP=-O2
+export DEB_CXXFLAGS_MAINT_STRIP=-O2
+endif
 
 # generate documentation unless nodoc requested
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -12,7 +17,7 @@
 endif
 
 %:
-	dh $@ --buildsystem=cargo
+	dh $@
 
 %.html: %.md
 	cmark-gfm $< > $@
